Bug 121848 - databases/postgresql83-server - databases/postgresql*-server - wrong path for rc script in pkg-message
Summary: databases/postgresql83-server - databases/postgresql*-server - wrong path for...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-19 01:00 UTC by Barbara
Modified: 2008-11-07 10:00 UTC (History)
0 users

See Also:


Attachments
pkg-message-server.in.diff.txt (587 bytes, text/plain; charset=UTF-8)
2008-06-20 17:41 UTC, Hywel Mallett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara 2008-03-19 01:00:02 UTC
Upgrading postgresql83-server, I've *accidentally* noted the following line in files/pkg-message-server.in that confused me for a couple of seconds.
Probably no one is searching the file there (and probably few are reading the message :) )
Note the path.

Please note that if you use the rc script,
%%PREFIX%%/etc/rc.conf/postgresql, to initialize the database, unicode
(UTF-8) will be used to store character data by default.

Fix: 

Fix the path to the rc script in files/pkg-message-server.in
How-To-Repeat: Install one of the postgresql server ports and read the pkg-message.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-19 01:31:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Hywel Mallett 2008-06-20 17:41:44 UTC
Patch attached
Comment 3 dfilter service freebsd_committer 2008-11-07 09:49:59 UTC
girgen      2008-11-07 09:49:49 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql73-server/files pkg-message-server.in 
    databases/postgresql74-server Makefile distinfo 
    databases/postgresql74-server/files pkg-message-server.in 
    databases/postgresql80-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql80-server/files pkg-message-server.in 
    databases/postgresql81-server Makefile distinfo 
    databases/postgresql81-server/files pkg-message-server.in 
    databases/postgresql82-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql82-server/files pkg-message-server.in 
    databases/postgresql83-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql83-server/files 502.pgsql 
                                        pkg-message-server.in 
  Log:
  Update PostgreSQL to latest versions.
  
  http://www.postgresql.org/docs/current/static/release-8-3-5.html
  http://www.postgresql.org/docs/current/static/release-8-2-11.html
  http://www.postgresql.org/docs/current/static/release-8-1-15.html
  http://www.postgresql.org/docs/current/static/release-8-0-19.html
  http://www.postgresql.org/docs/current/static/release-7-4-23.html
  
  Note that the GiST problem mentioned does not apply to users of
  the FreeBSD port, since the previous version of PostgreSQL never
  reached the ports tree, due to the freeze of the tree pending the
  FreeBSD 7.1 update.
  
  PR:     121848, 124713
  
  Revision  Changes    Path
  1.3       +1 -1      ports/databases/postgresql73-server/files/pkg-message-server.in
  1.158     +1 -1      ports/databases/postgresql74-server/Makefile
  1.52      +3 -3      ports/databases/postgresql74-server/distinfo
  1.3       +1 -1      ports/databases/postgresql74-server/files/pkg-message-server.in
  1.176     +2 -2      ports/databases/postgresql80-server/Makefile
  1.64      +6 -6      ports/databases/postgresql80-server/distinfo
  1.3       +1 -1      ports/databases/postgresql80-server/files/pkg-message-server.in
  1.14      +2 -0      ports/databases/postgresql80-server/pkg-plist-server
  1.180     +1 -1      ports/databases/postgresql81-server/Makefile
  1.63      +3 -3      ports/databases/postgresql81-server/distinfo
  1.3       +1 -1      ports/databases/postgresql81-server/files/pkg-message-server.in
  1.180     +1 -1      ports/databases/postgresql82-server/Makefile
  1.60      +3 -3      ports/databases/postgresql82-server/distinfo
  1.2       +1 -1      ports/databases/postgresql82-server/files/pkg-message-server.in
  1.14      +1 -0      ports/databases/postgresql82-server/pkg-plist-server
  1.189     +1 -1      ports/databases/postgresql83-server/Makefile
  1.68      +3 -3      ports/databases/postgresql83-server/distinfo
  1.10      +4 -7      ports/databases/postgresql83-server/files/502.pgsql
  1.2       +1 -1      ports/databases/postgresql83-server/files/pkg-message-server.in
  1.19      +1 -0      ports/databases/postgresql83-server/pkg-plist-server
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Palle Girgensohn freebsd_committer 2008-11-07 09:52:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!